package cd.casic.ci.process.process.service.task.impl;

import cd.casic.ci.common.pipeline.annotation.Plugin;
import cd.casic.ci.process.process.service.task.TaskService;
import cd.casic.framework.commons.util.util.WebFrameworkUtils;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider;
import org.springframework.core.type.filter.AnnotationTypeFilter;
import org.springframework.stereotype.Service;

import java.util.Set;
@Service
public class TaskServiceImpl implements TaskService {
    private static final String basePackage = "cd.casic.ci.process.process.service";
    private Set<BeanDefinition> candidates;

    public TaskServiceImpl() {
        System.out.println("");
    }

    @PostConstruct
    public void init(){
        ClassPathScanningCandidateComponentProvider provider =
                new ClassPathScanningCandidateComponentProvider(false);
        provider.addIncludeFilter(new AnnotationTypeFilter(Plugin.class));
        candidates = provider.findCandidateComponents(basePackage);
    }
    @Override
    public void taskTypeExist(String taskType) {

    }
}
